    PROGRAM nag_ell_intg_ex05

      ! Example Program Text for nag_ell_intg
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_ell_intg, ONLY : nag_ell_rc
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: ix
      REAL (wp) :: rc, x, y
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_ell_intg_ex05'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '     x      y         rc'

      y = 1.0_wp
      DO ix = 1, 3
        x = ix*0.5_wp

        rc = nag_ell_rc(x,y)

        WRITE (nag_std_out,fmt='(1X,2F7.2,F12.4)') x, y, rc
      END DO

    END PROGRAM nag_ell_intg_ex05
